CheckTreeManager

gui

## Class CheckTreeManager

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - gui.CheckTreeManager

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.TreeSelectionListener

      public class CheckTreeManager
      extends java.awt.event.MouseAdapter
      implements javax.swing.event.TreeSelectionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `hotspot`
    `private CheckChangeListener` | `listener`
    `private CheckTreeSelectionModel` | `selectionModel`
    `private javax.swing.JTree` | `tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckTreeManager(javax.swing.JTree tree, CheckChangeListener listener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckTreeSelectionModel` | `getSelectionModel()`
    `void` | `mouseClicked(java.awt.event.MouseEvent me)`
    `void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectionModel

          private CheckTreeSelectionModel selectionModel

    - #### tree

          private javax.swing.JTree tree

    - #### listener

          private CheckChangeListener listener

    - #### hotspot

          int hotspot

  - ### Constructor Detail

    - #### CheckTreeManager

          public CheckTreeManager(javax.swing.JTree tree,
                          CheckChangeListener listener)

  - ### Method Detail

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent me)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseClicked` in class `java.awt.event.MouseAdapter`

    - #### getSelectionModel

          public CheckTreeSelectionModel getSelectionModel()

    - #### valueChanged

          public void valueChanged(javax.swing.event.TreeSelectionEvent e)

      Specified by:
        `valueChanged` in interface `javax.swing.event.TreeSelectionListener`